M2A Cache External API (local)

Download OpenAPI specification:Download

Endpoints to perform CRUD (create, read, update, delete) operations on M2A Cache resources.

Cache Access Control Configurations

Perform CRUD (create, read, update, delete) operations on Cache Access Control Configuration resource.

List configurations

Authorizations:
http_security_schema
query Parameters
owner
required
string <uuid>
page[offset]
string non-empty
include
string
Enum: "config-associations" "config-associations.cache"
fields[cache-ac-config-association]
string
Enum: "access-control-config-id" "cache-instance-id" "last-modified" "last-modified-by" "status"
fields[cache]
string
Enum: "description" "name"
header Parameters
Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Responses

Response samples

Content type
application/vnd.api+json
{
  • "links": {
    },
  • "data": [
    ],
  • "included": [
    ]
}

Create configuration

Maximum number of configurations per target account is 50.

Authorizations:
http_security_schema
header Parameters
Content-Type
string
Value: "application/vnd.api+json"

The original media type of the resource.

Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Request Body schema: application/vnd.api+json
required
object (Access Control Configuration primary data)

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    },
  • "included": [
    ]
}

Get configuration

Authorizations:
http_security_schema
path Parameters
config_id
required
string
query Parameters
owner
required
string <uuid>
include
string
Enum: "config-associations" "config-associations.cache"
fields[cache-ac-config-association]
string
Enum: "access-control-config-id" "cache-instance-id" "last-modified" "last-modified-by" "status"
fields[cache]
string
Enum: "description" "name"
header Parameters
Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    },
  • "included": [
    ]
}

Update configuration

Update an IP Allowlist Configuration's name and IP addresses. Header Auth configurations cannot be updated. Only configurations with status 'ACTIVE' can be updated.

Authorizations:
http_security_schema
path Parameters
config_id
required
string
header Parameters
Content-Type
string
Value: "application/vnd.api+json"

The original media type of the resource.

Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Request Body schema: application/json
object (AccessControlConfigData)

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    },
  • "included": [
    ]
}

Delete configuration

Delete a Cache Access Control Configuration. Configuration must not have any existing associations with cache instances.

Authorizations:
http_security_schema
path Parameters
config_id
required
string
header Parameters
Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Responses

Response samples

Content type
application/vnd.api+json
{
  • "errors": [
    ]
}

Cache Access Control Config Associations

Perform CRUD (create) operations on Cache Access Control Config Associations resource.

Create Cache Access Control Config Association

Many to many associations between cache instances and access control configs

Authorizations:
http_security_schema
header Parameters
Content-Type
string
Value: "application/vnd.api+json"

The original media type of the resource.

Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Request Body schema: application/json
required
object (Data)

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Cache

Perform CRUD (create, read, update, delete) operations on Cache resource.

List of Caches

Authorizations:
http_security_schema
query Parameters
owner
required
string <uuid>
page[offset]
string non-empty
include
string
Enum: "config-associations" "config-associations.config"
fields[cache-ac-config]
string
Enum: "last-modified-by" "name" "status" "type"
fields[cache-ac-config-association]
string
Enum: "access-control-config-id" "cache-instance-id" "last-modified" "last-modified-by" "status"
header Parameters
Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Responses

Response samples

Content type
application/vnd.api+json
{
  • "links": {
    },
  • "data": [
    ],
  • "included": [
    ]
}

Create Cache

Create a new Cache Instance.

Authorizations:
http_security_schema
header Parameters
Content-Type
string
Value: "application/vnd.api+json"

The original media type of the resource.

Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Request Body schema: application/vnd.api+json
required
object (schemas-CacheInstance)

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Get Cache

Authorizations:
http_security_schema
path Parameters
cache_id
required
string
query Parameters
owner
required
string <uuid>
include
string
Enum: "config-associations" "config-associations.config"
fields[cache-ac-config]
string
Enum: "last-modified-by" "name" "status" "type"
fields[cache-ac-config-association]
string
Enum: "access-control-config-id" "cache-instance-id" "last-modified" "last-modified-by" "status"
header Parameters
Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    },
  • "included": [
    ]
}

Update Cache

Update an existing Cache Instance.

Authorizations:
http_security_schema
path Parameters
cache_id
required
string
query Parameters
owner
required
string <uuid>
header Parameters
Content-Type
string
Value: "application/vnd.api+json"

The original media type of the resource.

Accept
string
Value: "application/vnd.api+json"

Content type (expressed as MIME types) the client is able to understand.

If-Match
string <uuid>

An ETag value to match during update operation

Request Body schema: application/vnd.api+json
required
object (CacheInstancePatch)

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}